-- Control file to load the contents of the order.txt
-- file into the ORDERS table.
--
-- The ORDER_DATE field is in a specific format. That format
-- needs to be defined to load correctly into the DATE datatype.
--
-- This control file will not load any orders that have a
-- status of "Do Not Fullfill".
--

LOAD DATA
INFILE 'orders.txt' 
BADFILE 'orders.bad'
DISCARDFILE 'orders.dsc'
INTO TABLE orders WHEN order_status<>'Do Not Fullfill'
FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
( order_id,
  order_date DATE(20) "Mon DD,YYYY",
  customer_id,
  order_status,
  order_total TERMINATED BY WHITESPACE
)

